%define	version 1.2.0.20090720
%define	release %mkrel 1

Name:      ibus-table-xinhua
Summary:   ibus-xinhua - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv3+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ibus-table-devel >= 1.2.0
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0
Requires(post):	ibus-table >= 1.2.0

%description
ibus-table-xinhua provide Xin Hua input method on IBus Table under
IBus framework. Xin Hua is released under GPLv3+.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/xinhua-ibus.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/ibus-table/icons/*.png
%{_datadir}/ibus-table/tables/*.db


%changelog
* Tue Aug 04 2009 Funda Wang <fundawang@mandriva.org> 1.2.0.20090720-1mdv2010.0
+ Revision: 408924
- new version 1.2.0

* Thu Jun 11 2009 Funda Wang <fundawang@mandriva.org> 1.1.0.20090605-1mdv2010.0
+ Revision: 385127
- import ibus-table-xinhua


